Bug 68867 - NFS locking does not work properly
NFS locking does not work properly
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-15 11:09 EDT by dMan
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-13 13:37:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dMan 2002-07-15 11:09:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Kernel 2.4.9-34: When creating files thru programs I got the message "User does 
not have appropriate authorization level for file abcfile.dat" and the programs 
bombs, yet if I go to the directory where I wanted to create that file, a 
file "abcfile.dat.lck" is created with 0 bytes in size. When I turn off 
locking "-o nolock" on NFS mount then I don't have this problem or if I use 
Kernel 2.4.7-10, or different flavor of linux, for example SuSe.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.mount -o rsize=8192,wsize=8192 WINPC:C/linuxshare /usr/local/win
2.create and run program that creates file (use C++, Java or Perl), that 
actually requests a file lock ("touch" does not do that) to write a file

	

Actual Results:  You'll see compiler error "User does not have appropriate 
authorization level for file abcfile.dat". You'll see also 
that "abcfile.dat.lck" file was created wich is 0 bytes in size.

Expected Results:  File "abcfile.dat" should be created with size other than 0 
bytes.

Additional info:
Comment 1 Pete Zaitcev 2002-09-10 18:25:46 EDT
Please attach strace logs of the program in question.
The best would be to collect strace output at 2.4.7-10 in a separate file.
PLEASE DO NOT DROP THEM INTO THE COMMENTS BOX of the bug.

Note You need to log in before you can comment on or make changes to this bug.